<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Newzpaper
	 * @since Newzpaper 1.0.0
	 */

	/**
	 * newzpaper_doctype hook
	 *
	 * @hooked newzpaper_doctype -  10
	 *
	 */
	do_action( 'newzpaper_doctype' );

?>
<head>
<?php
	/**
	 * newzpaper_before_wp_head hook
	 *
	 * @hooked newzpaper_head -  10
	 *
	 */
	do_action( 'newzpaper_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * newzpaper_page_start_action hook
	 *
	 * @hooked newzpaper_page_start -  10
	 *
	 */
	do_action( 'newzpaper_page_start_action' ); 

	/**
	 * newzpaper_loader_action hook
	 *
	 * @hooked newzpaper_loader -  10
	 *
	 */
	do_action( 'newzpaper_before_header' );

	/**
	 * newzpaper_header_action hook
	 *
	 * @hooked newzpaper_header_start -  10
	 * @hooked newzpaper_site_branding -  20
	 * @hooked newzpaper_site_navigation -  30
	 * @hooked newzpaper_header_end -  50
	 *
	 */
	do_action( 'newzpaper_header_action' );

	/**
	 * newzpaper_content_start_action hook
	 *
	 * @hooked newzpaper_content_start -  10
	 *
	 */
	do_action( 'newzpaper_content_start_action' );

	do_action( 'newzpaper_header_image_action' );
	

    if ( newzpaper_is_frontpage() ) {
    	$options = newzpaper_get_theme_options();

    	$sorted = explode( ',' , newzpaper_get_homepage_sections() );

		foreach ( $sorted as $section ) {
			add_action( 'newzpaper_primary_content', 'newzpaper_add_'. $section .'_section' );
		}
		do_action( 'newzpaper_primary_content' );
	}
