<?php


function newzpaper_style( $args = array() ) {
		$options = newzpaper_get_theme_options();
	?>

		<style type="text/css">

			/*header style*/
			<?php if ( !empty( $options['header_nav_bg_color'] ) ): ?>
					
				.main-header,
				#top-navigation,
				#masthead.header-one{
					background-color: <?php echo esc_attr( $options['header_nav_bg_color'] ); ?>;
				}
				@media screen and (min-width: 1025px){
					.header-two #site-navigation.main-navigation {
						background-color: <?php echo esc_attr( $options['header_nav_bg_color'] ); ?>;
					}
				}
				#masthead .menu-toggle{
				    background-color: <?php echo esc_attr( $options['header_nav_bg_color'] ); ?>;
				}			
			<?php endif ?>


			<?php if ( !empty( $options['header_text_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					#top-navigation .posted-on,
					#masthead .main-navigation form.search-form ::-webkit-input-placeholder,
					#masthead .main-navigation a, .main-navigation ul.nav-menu > li > a {
					    color: <?php echo esc_attr( $options['header_text_color'] ); ?>;
					}
					#top-navigation .main-navigation .nav-menu li:not(:first-child):after,
					.main-navigation .icon-wrapper .entry-meta:after,
					.main-navigation ul.nav-menu > li.social-menu:before{
						background-color: <?php echo esc_attr( $options['header_text_color'] ); ?>;
					}
					.search-menu svg.icon-search,
					#top-navigation .social-icons li a svg,
					#masthead .main-navigation .social-icons ul li a svg,
					#masthead .main-navigation .nav-menu > li > a > svg.icon-down{
						fill: <?php echo esc_attr( $options['header_text_color'] ); ?>;
					}
				}

			<?php endif ?>

			/*end header style*/

			/*breakingnews*/

			<?php if ( !$options['breakingnews_featured_image_enable'] ): ?>
				.marquee-content ul{
					margin: 14px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_section_title_color'] ) ): ?>

				#newzpaper_highlights .section-title{
					color: <?php echo esc_attr( $options['breakingnews_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_label_bg_color'] ) ): ?>

				#newzpaper_highlights{
					background-color: <?php echo esc_attr( $options['breakingnews_label_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_label_text_color'] ) ): ?>
				#newzpaper_highlights .news-title{
					color: <?php echo esc_attr( $options['breakingnews_label_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_row_bg_color'] ) ): ?>
				#newzpaper_highlights .highlights-wrapper{
					background-color: <?php echo esc_attr( $options['breakingnews_row_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_text_color'] ) ): ?>
				#newzpaper_highlights .marquee-content .entry-title a{
					color: <?php echo esc_attr( $options['breakingnews_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_top_padding'] ) ): ?>
				#newzpaper_highlights{
					padding-top: <?php echo esc_attr( $options['breakingnews_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_bottom_padding'] ) ): ?>
				#newzpaper_highlights{
					padding-bottom: <?php echo esc_attr( $options['breakingnews_bottom_padding'] ) ?>px;
				}
			<?php endif ?>


			/*end breakingnews*/

			/*Hero Post*/

			<?php if ( !empty( $options['hero_post_section_title_color'] ) ): ?>
				#newzpaper_hero_post .entry-title a{
					color: <?php echo esc_attr( $options['hero_post_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['hero_post_bg_color'] ) ): ?>

				#newzpaper_hero_post{
					background-color: <?php echo esc_attr( $options['hero_post_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['hero_post_text_color'] ) ): ?>
				#newzpaper_hero_post .entry-meta span,
				#newzpaper_hero_post .entry-meta span a,
				#newzpaper_hero_post .entry-content p{
					color: <?php echo esc_attr( $options['hero_post_text_color'] ) ?>;
				}

				#newzpaper_hero_post ul.post-categories li a{
					border-color: <?php echo esc_attr( $options['hero_post_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['hero_post_top_padding'] ) ): ?>
				#newzpaper_hero_post{
					padding-top: <?php echo esc_attr( $options['hero_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['hero_post_bottom_padding'] ) ): ?>
				#newzpaper_hero_post{
					padding-bottom: <?php echo esc_attr( $options['hero_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end hero post*/

			/*Post tab*/
			<?php if ( !empty( $options['post_tab_bg_color'] ) ): ?>
				#newzpaper_magazine{
					background-color: <?php echo esc_attr( $options['post_tab_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_section_title_color'] ) ): ?>
				#newzpaper_magazine .section-title{
					color: <?php echo esc_attr( $options['post_tab_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_view_more_color'] ) ): ?>
				#newzpaper_magazine .view-all a{
					color: <?php echo esc_attr( $options['post_tab_view_more_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_post_title_color'] ) ): ?>
				#newzpaper_magazine .entry-title a{
					color: <?php echo esc_attr( $options['post_tab_post_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_text_color'] ) ): ?>
				#newzpaper_magazine .tabs li a,
				#newzpaper_magazine .section-tabs span,
				#newzpaper_magazine .post-meta,
				#newzpaper_magazine .entry-meta span,
				#newzpaper_magazine .entry-meta span a,
				#newzpaper_magazine .post-meta span a,
				#newzpaper_magazine .entry-content p{
					color: <?php echo esc_attr( $options['post_tab_text_color'] ) ?>;
				}

				#newzpaper_magazine ul.post-categories li a,
				#newzpaper_magazine .tabs li a{
					border-color: <?php echo esc_attr( $options['post_tab_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_post_card_border_color'] ) ): ?>
				#newzpaper_magazine article{
					border-color: <?php echo esc_attr( $options['post_tab_post_card_border_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_top_padding'] ) ): ?>
				#newzpaper_magazine{
					padding-top: <?php echo esc_attr( $options['post_tab_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_tab_bottom_padding'] ) ): ?>
				#newzpaper_magazine{
					padding-bottom: <?php echo esc_attr( $options['post_tab_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			/*End Post tab*/

			/*main content*/
			<?php if( !is_active_sidebar('home-left-sidebar') && !is_active_sidebar('home-right-sidebar') ): ?>
				@media screen and (min-width: 1024px){
					.home:not( .blog )  #inner-content-wrapper #primary {
					    width: 100%;
					}
				}

			<?php endif; ?>

			<?php if( !is_active_sidebar('home-left-sidebar') && is_active_sidebar('home-right-sidebar') ): ?>
				@media screen and (min-width: 1024px){
					.home:not( .blog ) #inner-content-wrapper #primary {
					    padding-right: 60px;
					}

					.home:not( .blog ) #inner-content-wrapper #right-sidebar {
					    width: 30%;
					    float: right;
					}
				}
				@media screen and (max-width: 1023px){

					.home:not( .blog ) #inner-content-wrapper #right-sidebar {
					    margin-top: 30px;
					}
				}

			<?php endif; ?>

			<?php if( is_active_sidebar('home-left-sidebar') && !is_active_sidebar('home-right-sidebar') ): ?>
				.home:not( .blog ) #inner-content-wrapper {
				    display: flex;
				}

				@media screen and (min-width: 1024px){
					.home:not( .blog ) #inner-content-wrapper #primary {
					    padding-left: 60px;
					}

					.home:not( .blog ) #inner-content-wrapper #left-sidebar {
					    width: 30%;
					}
				}

			<?php endif; ?>

			<?php if( is_active_sidebar('home-left-sidebar') && is_active_sidebar('home-right-sidebar') ): ?>
				.home #inner-content-wrapper {
				    display: flex;
				}
				@media screen and (min-width: 1024px){
					.home #inner-content-wrapper #primary {
					    padding: 0 30px;
					}

					.home #inner-content-wrapper #left-sidebar {
					    width: 25%;
					}

					.home #inner-content-wrapper #primary {
					    width: 50%;
					}

					.home #inner-content-wrapper #right-sidebar {
					    width: 25%;
					}
				}

				@media screen and (max-width: 1023px){
					.home #inner-content-wrapper {
					    display: block;
					}
					.home #inner-content-wrapper #left-sidebar {
					    width: 100%;
					    margin-bottom: 30px;
					}

					.home #inner-content-wrapper #primary {
					    width: 100%;
					}

					.home #inner-content-wrapper #right-sidebar {
					    width: 100%;
					    margin-top: 30px;
					}
				}

			<?php endif; ?>

			/*end main content*/

			/*latest post*/

			<?php if ( !empty( $options['latest_post_container_color'] ) ): ?>
				#newzpaper_latest_post_section{
					background-color: <?php echo esc_attr( $options['latest_post_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_section_title_color'] ) ): ?>
				.second-design #newzpaper_latest_post_section .section-title,
				#newzpaper_latest_post_section .section-title{
					color: <?php echo esc_attr( $options['latest_post_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_post_title_color'] ) ): ?>
				#newzpaper_latest_post_section .entry-title a{
					color: <?php echo esc_attr( $options['latest_post_post_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_post_text_color'] ) ): ?>
				.second-design #newzpaper_latest_post_section .entry-meta > span:not(:first-child):before,
				#newzpaper_latest_post_section .entry-meta span,
				#newzpaper_latest_post_section .entry-meta span a,
				#newzpaper_latest_post_section .entry-content p{
					color: <?php echo esc_attr( $options['latest_post_post_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_separator_color'] ) ): ?>
				#newzpaper_video_news article:not(:last-child){
					border-color: <?php echo esc_attr( $options['latest_post_separator_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_top_padding'] ) ): ?>
				#newzpaper_latest_post_section{
					padding-top: <?php echo esc_attr( $options['latest_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_bottom_padding'] ) ): ?>
				#newzpaper_latest_post_section{
					padding-bottom: <?php echo esc_attr( $options['latest_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_left_padding'] ) ): ?>
				#newzpaper_latest_post_section{
					padding-left: <?php echo esc_attr( $options['latest_post_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_right_padding'] ) ): ?>
				#newzpaper_latest_post_section{
					padding-right: <?php echo esc_attr( $options['latest_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end latest post*/

			/*author*/

			<?php if ( !empty( $options['author_container_color'] ) ): ?>
				#newzpaper_top_authors{
					background-color: <?php echo esc_attr( $options['author_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_section_title_color'] ) ): ?>
				.second-design #newzpaper_top_authors .section-title,
				#newzpaper_top_authors .section-title{
					color: <?php echo esc_attr( $options['author_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_post_title_color'] ) ): ?>
				#newzpaper_top_authors .entry-title a{
					color: <?php echo esc_attr( $options['author_post_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_post_text_color'] ) ): ?>
				.second-design #newzpaper_top_authors .entry-meta > span:not(:first-child):before,
				#newzpaper_top_authors .entry-meta span,
				#newzpaper_top_authors .entry-meta span a,
				#newzpaper_top_authors .entry-content p{
					color: <?php echo esc_attr( $options['author_post_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_separator_color'] ) ): ?>
				#newzpaper_top_authors article{
					border-color: <?php echo esc_attr( $options['author_separator_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_top_padding'] ) ): ?>
				#newzpaper_top_authors{
					padding-top: <?php echo esc_attr( $options['author_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_bottom_padding'] ) ): ?>
				#newzpaper_top_authors{
					padding-bottom: <?php echo esc_attr( $options['author_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_left_padding'] ) ): ?>
				#newzpaper_top_authors{
					padding-left: <?php echo esc_attr( $options['author_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['author_right_padding'] ) ): ?>
				#newzpaper_top_authors{
					padding-right: <?php echo esc_attr( $options['author_right_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end author*/

			/*subscription*/
			<?php if ( !empty( $options['subscription_container_color'] ) ): ?>
				#newzpaper_subscribe{
					background-color: <?php echo esc_attr( $options['subscription_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_input_field_color'] ) ): ?>
				#newzpaper_subscribe .jetpack_subscription_widget input[type="email"]{
					background-color: <?php echo esc_attr( $options['subscription_input_field_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_section_title_color'] ) ): ?>
				#newzpaper_subscribe .entry-title{
					color: <?php echo esc_attr( $options['subscription_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_btn_color'] ) ): ?>
				#newzpaper_subscribe .jetpack_subscription_widget button{
					background-color: <?php echo esc_attr( $options['subscription_btn_color'] ) ?>;
				}
				#newzpaper_subscribe .jetpack_subscription_widget button{
					border-color: <?php echo esc_attr( $options['subscription_btn_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_btn_text'] ) ): ?>
				#newzpaper_subscribe .jetpack_subscription_widget button{
					color: <?php echo esc_attr( $options['subscription_btn_text'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_top_padding'] ) ): ?>
				#newzpaper_subscribe{
					padding-top: <?php echo esc_attr( $options['subscription_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['subscription_bottom_padding'] ) ): ?>
				#newzpaper_subscribe{
					padding-bottom: <?php echo esc_attr( $options['subscription_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end subscription*/


			/* single post/page */
			<?php if ( !empty( $options['single_post_container_color'] ) ): ?>
				.single #inner-content-wrapper,
				.page #inner-content-wrapper{
					background-color: <?php echo esc_attr( $options['single_post_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_related_container_color'] ) ): ?>
				.single #inner-content-wrapper #related-post{
					background-color: <?php echo esc_attr( $options['single_post_related_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_entry_container_color'] ) ): ?>
				.single #inner-content-wrapper .entry-container{
					background-color: <?php echo esc_attr( $options['single_post_entry_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_comment_container_color'] ) ): ?>
				.single #inner-content-wrapper #comments{
					background-color: <?php echo esc_attr( $options['single_post_comment_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_top_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-top: <?php echo esc_attr( $options['single_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_bottom_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-bottom: <?php echo esc_attr( $options['single_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_right_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-right: <?php echo esc_attr( $options['single_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_left_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-left: <?php echo esc_attr( $options['single_post_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_related_container_padding'] ) ): ?>
				 .single #inner-content-wrapper #related-post{
					padding: <?php echo esc_attr( $options['single_post_related_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_comment_container_padding'] ) ): ?>
				 .single #inner-content-wrapper #comments{
					padding: <?php echo esc_attr( $options['single_post_comment_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_entry_container_padding'] ) ): ?>
				 .single #inner-content-wrapper .entry-container.post-content{
					padding: <?php echo esc_attr( $options['single_post_entry_container_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end single post/page*/

			/*archive page*/
			<?php if ( !empty( $options['archive_container_color'] ) ): ?>
				#inner-content-wrapper.archive{
					background-color: <?php echo esc_attr( $options['archive_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_post_cotainer_color'] ) ): ?>
				#inner-content-wrapper.archive .entry-container{
					background-color: <?php echo esc_attr( $options['archive_post_cotainer_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_top_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-top: <?php echo esc_attr( $options['archive_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_bottom_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-bottom: <?php echo esc_attr( $options['archive_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_right_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-right: <?php echo esc_attr( $options['archive_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_left_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-left: <?php echo esc_attr( $options['archive_left_padding'] ) ?>px;
				}
			<?php endif ?>


			/*end archive page*/

			/*widget*/
			<?php if ( !empty( $options['widget_panel_container_color'] ) ): ?>
				#secondary.inner-pages, #right-sidebar, #left-sidebar{
					background-color: <?php echo esc_attr( $options['widget_panel_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_container_color'] ) ): ?>
				#secondary.inner-pages .widget, #right-sidebar .widget, #left-sidebar .widget,
				#secondary.inner-pages .widget_trending_post .slick-prev:after,
				#left-sidebar .widget_trending_post .slick-prev:after,
				#right-sidebar .widget_trending_post .slick-prev:after{
					background-color: <?php echo esc_attr( $options['widget_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['widget_top_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar, #left-sidebar{
					padding-top: <?php echo esc_attr( $options['widget_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_bottom_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar, #left-sidebar{
					padding-bottom: <?php echo esc_attr( $options['widget_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_right_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar, #left-sidebar{
					padding-right: <?php echo esc_attr( $options['widget_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_left_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar, #left-sidebar{
					padding-left: <?php echo esc_attr( $options['widget_left_padding'] ) ?>px;
				}
			<?php endif ?>
			<?php if ( !empty( $options['widget_container_padding'] ) ): ?>
				#secondary.inner-pages .widget, #right-sidebar .widget, #left-sidebar .widget{
					padding: <?php echo esc_attr( $options['widget_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_text_color'] ) ): ?>
				#secondary.inner-pages .wp-block-latest-comments__comment-meta,
				#secondary.inner-pages .entry-meta > span, 
				#secondary.inner-pages p .about-us-post .entry-title, 
				#secondary.inner-pages p, 
				#secondary.inner-pages a, 
				#secondary.inner-pages .widget h2, 
				#secondary.inner-pages .widget ul li a, 
				#secondary.inner-pages .widget .wp-block-search__label, 
				#left-sidebar .widget ul li a, 
				#left-sidebar .widget .wp-block-search__label, 
				#left-sidebar .widget h2, 
				#left-sidebar a, 
				#left-sidebar p, 
				#left-sidebar .widget .post-number,
				#left-sidebar .widget .min-read,
				#left-sidebar p .about-us-post .entry-title, 
				#left-sidebar.inner-pages .wp-block-latest-comments__comment-meta, 
				#left-sidebar.inner-pages .entry-meta > span,
				#right-sidebar .widget ul li a, 
				#right-sidebar .widget .wp-block-search__label, 
				#right-sidebar .widget h2, 
				#right-sidebar a, 
				#right-sidebar p, 
				#right-sidebar .widget .post-number,
				#right-sidebar .widget .min-read,
				#right-sidebar p .about-us-post .entry-title, 
				#right-sidebar.inner-pages .wp-block-latest-comments__comment-meta, 
				#right-sidebar.inner-pages .entry-meta > span{
					color: <?php echo esc_attr( $options['widget_text_color'] ) ?>;
				}

				.second-design .widget-title:after{
					background-color: <?php echo esc_attr( $options['widget_text_color'] ) ?>;
				}

				#secondary .widget_post_list_three ul.post-categories li a,
				#right-sidebar .widget_post_list_three ul.post-categories li a,
				#left-sidebar .widget_post_list_three ul.post-categories li a{
					border-color: <?php echo esc_attr( $options['widget_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_post_content_container_color'] ) ): ?>
				#secondary.inner-pages .widget ul li .entry-container,  
				#right-sidebar .widget ul li .entry-container,
				#left-sidebar .widget ul li .entry-container{
					background-color: <?php echo esc_attr( $options['widget_post_content_container_color'] ) ?>;
				}
			<?php endif ?>
			}

			/*end widget*/

			/*homepage*/
			<?php if ( !empty( $options['homepage_section_gap'] ) ): ?>
				.home-section{
					margin: <?php echo esc_attr( $options['homepage_section_gap'] ) ?>px 0px;
				}

				#main-post-wrapper main div.home-section:first-child{
					margin-top: 0px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_color'] ) ): ?>
				.home #main-post-wrapper{
					background-color: <?php echo esc_attr( $options['homepage_main_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['homepage_main_container_top_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-top: <?php echo esc_attr( $options['homepage_main_container_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_bottom_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-bottom: <?php echo esc_attr( $options['homepage_main_container_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_right_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-right: <?php echo esc_attr( $options['homepage_main_container_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_left_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-left: <?php echo esc_attr( $options['homepage_main_container_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end homepage*/

			
			/*layou*/
			<?php if ( !empty( $options['wrapper_width'] ) ): ?>
				#masthead.wrapper,
				.wrapper{
					width: <?php echo esc_attr( $options['wrapper_width'] ) ?>%;
				}
			<?php endif ?>

			<?php if ( !empty( $options['wrapper_max_width'] ) ): ?>
				.wrapper{
					max-width: <?php echo esc_attr( $options['wrapper_max_width'] ) ?>px;
				}
			<?php endif ?>
			/*end layout*/

			/*end slider news*/

			<?php if ( !empty( $options['footer_bg_color'] ) ): ?>
				#colophon{
					background-color: <?php echo esc_attr( $options['footer_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['footer_text_color'] ) ): ?>
				#colophon ul li a, #colophon .textwidget p, .site-info span, #colophon .site-info a{
					color: <?php echo esc_attr( $options['footer_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['footer_separator_color'] ) ): ?>
				.footer-widgets-area .wrapper{
					border-bottom: 1px solid <?php echo esc_attr( $options['footer_separator_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['footer_top_margin'] ) ): ?>
				#colophon{
					margin-top: <?php echo esc_attr( $options['footer_top_margin'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( $options['home_design'] == 'second-design' ): ?>
				.min-read .entry-meta-text,
				.meta-label{
					display: none !important; 
				}

				time.entry-date.published::before {
				    font-family: "FontAwesome";
				    font-weight: 500;
				    content: "\f073";
				    padding-right: 10px;
				}

				.min-read::before {
				    font-family: "FontAwesome";
				    font-weight: 500;
				    content: "-" !important;
				    padding-right: 10px;
				}

				.min-read span::before {
				    font-family: "FontAwesome";
				    font-weight: 500;
				    content: "\f02d" !important;
				    left: -32px !important;
				    padding-right: 10px;
				}

				.entry-meta > span:not(:last-child) {
				    margin-right: 35px !important;
				}

				.post-categories::before{
					font-family: "FontAwesome";
				    font-weight: 500;
				    content: "\f07c";
				    padding-right: 5px;
				}

				.byline .author a::before{
					font-family: "FontAwesome";
				    font-weight: 500;
				    content: "\f2be";
				    padding-right: 10px;
				}
			<?php endif ?>

			
		</style>
		
<?php }

add_action( 'wp_head', 'newzpaper_style' );