<?php
/**
* Breaking News Section options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add Breaking News section
$wp_customize->add_section( 'newzpaper_breakingnews_section', array(
	'title'             => esc_html__( 'Breaking News','newzpaper' ),
	'description'       => esc_html__( 'Breaking News Section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_front_page_panel',
	) );

// Breaking News content enable control and setting
$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_section_enable]', array(
	'default'			=> 	$options['breakingnews_section_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_section_enable]', array(
	'label'             => esc_html__( 'Breaking News Section Enable', 'newzpaper' ),
	'section'           => 'newzpaper_breakingnews_section',
	'on_off_label' 		=> newzpaper_switch_options(),
	) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'newzpaper_theme_options[breakingnews_section_enable]',
		array(
			'selector'            => '#newzpaper_breakingnews_section .tooltiptext',
			'settings'            => 'newzpaper_theme_options[breakingnews_section_enable]',
		)
	);
}

$wp_customize->add_setting( 
    'newzpaper_theme_options_breakingnews_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_breakingnews_setting_style',
        array(
            'section'       => 'newzpaper_breakingnews_section',
            'active_callback' 	=> 'newzpaper_is_breakingnews_section_enable',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_breakingnews_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_breakingnews_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_featured_image_enable]', array(
	'default'			=> 	$options['breakingnews_featured_image_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_featured_image_enable]', array(
	'label'             => esc_html__( 'Breaking Featured Image Enable', 'newzpaper' ),
	'section'           => 'newzpaper_breakingnews_section',
	'active_callback' 	=> 'newzpaper_is_breakingnews_section_enable',
	'on_off_label' 		=> newzpaper_switch_options(),
) ) );


// breakingnews title setting and control
$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['breakingnews_title'],
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( 'newzpaper_theme_options[breakingnews_title]', array(
	'label'           	=> esc_html__( 'Section Title', 'newzpaper' ),
	'section'        	=> 'newzpaper_breakingnews_section',
	'active_callback' 	=> 'newzpaper_is_breakingnews_section_enable',
	'type'				=> 'text',
) );

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['breakingnews_label'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'newzpaper_theme_options[breakingnews_label]', array(
	'label'           	=> esc_html__( 'Slide Label', 'newzpaper' ),
	'section'        	=> 'newzpaper_breakingnews_section',
	'active_callback' 	=> 'newzpaper_is_breakingnews_section_enable',
	'type'				=> 'text',
) );