<?php
/**
* Hero Post Section options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add Hero Post section
$wp_customize->add_section( 'newzpaper_hero_post_section', array(
	'title'             => esc_html__( 'Hero Post','newzpaper' ),
	'description'       => esc_html__( 'Hero Post Section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_front_page_panel',
	) );

// Hero Post content enable control and setting
$wp_customize->add_setting( 'newzpaper_theme_options[hero_post_section_enable]', array(
	'default'			=> 	$options['hero_post_section_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[hero_post_section_enable]', array(
	'label'             => esc_html__( 'Hero Post Section Enable', 'newzpaper' ),
	'section'           => 'newzpaper_hero_post_section',
	'on_off_label' 		=> newzpaper_switch_options(),
	) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'newzpaper_theme_options[hero_post_section_enable]',
        array(
            'selector'            => '#newzpaper_hero_post_section .tooltiptext',
            'settings'            => 'newzpaper_theme_options[hero_post_section_enable]',
        )
    );
}

$wp_customize->add_setting( 
    'newzpaper_theme_options_hero_post_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_hero_post_setting_style',
        array(
            'section'       => 'newzpaper_hero_post_section',
            'active_callback' 	=> 'newzpaper_is_hero_post_section_enable',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_hero_post_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_hero_post_section_style',
                ),
            ),
        )
    )
);


// hero_post posts drop down chooser control and setting
$wp_customize->add_setting( 'newzpaper_theme_options[hero_post_content_post]', array(
    'sanitize_callback' => 'newzpaper_sanitize_page',
    ) );

$wp_customize->add_control( new Newzpaper_Dropdown_Chooser( $wp_customize, 'newzpaper_theme_options[hero_post_content_post]', array(
    'label'             => esc_html__( 'Select Post', 'newzpaper' ),
    'section'           => 'newzpaper_hero_post_section',
    'choices'           => newzpaper_post_choices(),
    'active_callback'   => 'newzpaper_is_hero_post_section_enable',
    ) ) );

