<?php 

$wp_customize->add_section( 'newzpaper_home_layout', array(
	'title'             => esc_html__( 'Home Page','newzpaper' ),
	'description'       => esc_html__( 'Home Page option.', 'newzpaper' ),
	'panel'             => 'newzpaper_front_page_panel',
) );


$wp_customize->add_setting( 'newzpaper_theme_options[home_design]', array(
    'default'           => $options['home_design'],
    'sanitize_callback' => 'newzpaper_sanitize_select',
    'transport'         => 'refresh'
) );

$wp_customize->add_control( 'newzpaper_theme_options[home_design]', array(
    'type'              => 'radio',
    'label'             => esc_html__( 'Select Design', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'choices'                => array( 
        'default-design'     => esc_html__( 'Default Design', 'newzpaper' ),
        'second-design'      => esc_html__( 'Second Design', 'newzpaper' ),
        )
) );


$wp_customize->add_setting( 'newzpaper_theme_options[homepage_section_gap]', array(
    'default'           => $options['homepage_section_gap'],
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[homepage_section_gap]', array(
    'label'             => esc_html__( 'Sections Gap', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 0 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 0,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[homepage_main_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[homepage_main_container_color]', array(
    'label'    => esc_html( 'Main Container Color', 'newzpaper' ),
    'section'  => 'newzpaper_home_layout',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[homepage_main_container_top_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[homepage_main_container_top_padding]', array(
    'label'             => esc_html__( 'Main Container Top Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[homepage_main_container_bottom_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[homepage_main_container_bottom_padding]', array(
    'label'             => esc_html__( 'Main Container Bottom Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[homepage_main_container_left_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[homepage_main_container_left_padding]', array(
    'label'             => esc_html__( 'Main Container Left Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[homepage_main_container_right_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[homepage_main_container_right_padding]', array(
    'label'             => esc_html__( 'Main Container Right Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );
