<?php
/**
* Breakingnews Section options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add Breakingnews section
$wp_customize->add_section( 'newzpaper_breakingnews_section_style', array(
	'title'             => esc_html__( 'Breakingnews Style','newzpaper' ),
	'description'       => esc_html__( 'Breakingnews Style Section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_front_page_panel',
	) );

$wp_customize->add_setting( 
    'newzpaper_theme_options_breakingnews_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_breakingnews_setting_style_style',
        array(
            'section'       => 'newzpaper_breakingnews_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_breakingnews_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_breakingnews_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_section_title_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_section_title_color]', array(
    'label'    => esc_html( 'Breakingnews Section Title Color', 'newzpaper' ),
    'section'  => 'newzpaper_breakingnews_section_style',
) ) );


$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_label_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_label_bg_color]', array(
    'label'    => esc_html( 'Breakingnews Background Color', 'newzpaper' ),
    'section'  => 'newzpaper_breakingnews_section_style',
) ) );



$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_label_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color',
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_label_text_color]', array(
    'label'    => esc_html( 'Breakingnews Label Text Color', 'newzpaper' ),
    'section'  => 'newzpaper_breakingnews_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_row_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_row_bg_color]', array(
    'label'    => esc_html( 'breakingnews Row Background Color', 'newzpaper' ),
    'section'  => 'newzpaper_breakingnews_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[breakingnews_text_color]', array(
    'label'    => esc_html( 'Breakingnews Text Color', 'newzpaper' ),
    'section'  => 'newzpaper_breakingnews_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_top_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[breakingnews_top_padding]', array(
    'label'             => esc_html__( 'Section Top Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_breakingnews_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[breakingnews_bottom_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[breakingnews_bottom_padding]', array(
    'label'             => esc_html__( 'Section Bottom Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_breakingnews_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );