<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'newzpaper_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'newzpaper' ),
		'priority'   			=> 900,
		'panel'      			=> 'newzpaper_theme_options_panel',
	)
);

$wp_customize->add_setting( 
    'newzpaper_theme_options_footer_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_footer_setting_style',
        array(
            'section'       => 'newzpaper_section_footer',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_section_footer',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_footer_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'newzpaper_theme_options[footer_wrapper_enable]',
	array(
		'default'       	=> $options['footer_wrapper_enable'],
		'sanitize_callback' => 'newzpaper_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[footer_wrapper_enable]',
    array(
		'label'      		=> esc_html__( 'Footer Wrapper Enable', 'newzpaper' ),
		'section'    		=> 'newzpaper_section_footer',
		'on_off_label' 		=> newzpaper_switch_options(),
    )
) );

// footer text
$wp_customize->add_setting( 'newzpaper_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'newzpaper_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'newzpaper_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'newzpaper' ),
		'section'    			=> 'newzpaper_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'newzpaper_theme_options[copyright_text]', array(
		'selector'            => '.site-info .copyright span',
		'settings'            => 'newzpaper_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'newzpaper_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'newzpaper_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'newzpaper_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[scroll_top_visible]',
    array(
		'label'      		=> esc_html__( 'Display Scroll Top Button', 'newzpaper' ),
		'section'    		=> 'newzpaper_section_footer',
		'on_off_label' 		=> newzpaper_switch_options(),
    )
) );