<?php
/**
* header Section options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add header section
$wp_customize->add_section( 'newzpaper_header_section', array(
	'title'             => esc_html__( 'Header','newzpaper' ),
	'description'       => esc_html__( 'Header Section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_theme_options_panel',
) );

$wp_customize->add_setting( 
    'newzpaper_theme_options_header_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_header_setting_style',
        array(
            'section'       => 'newzpaper_header_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_header_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_header_section_style',
                ),
            ),
        )
    )
);


$wp_customize->add_setting( 'newzpaper_theme_options[social_nav_enable]', array(
	'default'			=> 	$options['social_nav_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Socail Icon Enable', 'newzpaper' ),
	'section'           => 'newzpaper_header_section',
	'on_off_label' 		=> newzpaper_switch_options(),
) ) );


