<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

$wp_customize->add_section( 'newzpaper_loader', array(
	'title'            		=> esc_html__( 'Loader','newzpaper' ),
	'description'      		=> esc_html__( 'Loader section options.', 'newzpaper' ),
	'panel'            		=> 'newzpaper_theme_options_panel',
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'newzpaper_theme_options[loader_enable]', array(
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
	'default'             	=> $options['loader_enable'],
) );

$wp_customize->add_control(  new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[loader_enable]', array(
	'label'               	=> esc_html__( 'Enable loader', 'newzpaper' ),
	'section'             	=> 'newzpaper_loader',
	'on_off_label' 		=> newzpaper_switch_options(),
) ) );

// Loader icons setting and control.
$wp_customize->add_setting( 'newzpaper_theme_options[loader_icon]', array(
	'sanitize_callback' 	=> 'newzpaper_sanitize_select',
	'default'				=> $options['loader_icon'],
) );

$wp_customize->add_control( 'newzpaper_theme_options[loader_icon]', array(
	'label'           		=> esc_html__( 'Icon', 'newzpaper' ),
	'section'         		=> 'newzpaper_loader',
	'type'					=> 'select',
	'choices'				=> newzpaper_get_spinner_list(),
	'active_callback' 		=> 'newzpaper_is_loader_enable',
) );
