<?php
/**
 * page_banner options
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

// Add page_banner section
$wp_customize->add_section( 'newzpaper_page_banner_section', array(
	'title'             => esc_html__( 'Page banner','newzpaper' ),
	'description'       => esc_html__( 'Page banner section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_theme_options_panel',
) );


// page_banner category setting and control.
$wp_customize->add_setting( 'newzpaper_theme_options[page_banner_wrapper_enable]', array(
	'default'           => $options['page_banner_wrapper_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[page_banner_wrapper_enable]', array(
	'label'             => esc_html__( 'Enable Wrapper', 'newzpaper' ),
	'section'           => 'newzpaper_page_banner_section',
	'on_off_label' 		=> newzpaper_hide_options(),
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[page_banner_header_image_enable]', array(
	'default'           => $options['page_banner_header_image_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[page_banner_header_image_enable]', array(
	'label'             => esc_html__( 'Enable Header Image Page/Post', 'newzpaper' ),
	'section'           => 'newzpaper_page_banner_section',
	'on_off_label' 		=> newzpaper_hide_options(),
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[page_banner_breadcrumb_enable]', array(
	'default'           => $options['page_banner_breadcrumb_enable'],
	'sanitize_callback' => 'newzpaper_sanitize_switch_control',
) );

$wp_customize->add_control( new Newzpaper_Switch_Control( $wp_customize, 'newzpaper_theme_options[page_banner_breadcrumb_enable]', array(
	'label'             => esc_html__( 'Enable Breadcrumb', 'newzpaper' ),
	'section'           => 'newzpaper_page_banner_section',
	'on_off_label' 		=> newzpaper_hide_options(),
) ) );
