<?php
/**
* header Section options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add header section
$wp_customize->add_section( 'newzpaper_header_section_style', array(
	'title'             => esc_html__( 'Header Style','newzpaper' ),
	'description'       => esc_html__( 'Header Style Section options.', 'newzpaper' ),
	'panel'             => 'newzpaper_theme_options_panel',
	) );


$wp_customize->add_setting( 
    'newzpaper_theme_options_header_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_header_setting_style_style',
        array(
            'section'       => 'newzpaper_header_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_header_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_header_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'newzpaper_theme_options[header_nav_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[header_nav_bg_color]', array(
    'label'    => esc_html( 'Nav Background Color', 'newzpaper' ),
    'section'  => 'newzpaper_header_section_style',
) ) );


$wp_customize->add_setting( 'newzpaper_theme_options[header_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color',
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[header_text_color]', array(
    'label'    => esc_html( 'Text Color', 'newzpaper' ),
    'section'  => 'newzpaper_header_section_style',
) ) );
