<?php
/**
* single post options
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/

// Add single_post section
$wp_customize->add_section( 'newzpaper_single_post_section_style', array(
    'title'             => esc_html__( 'Single Post Style','newzpaper' ),
    'description'       => esc_html__( 'Single Post Style Section options.', 'newzpaper' ),
    'panel'             => 'newzpaper_theme_options_panel',
    ) );


$wp_customize->add_setting( 
    'newzpaper_theme_options_single_post_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Newzpaper_Customize_Control_Section_Style( 
    $wp_customize,
    'newzpaper_theme_options_single_post_setting_style_style',
        array(
            'section'       => 'newzpaper_single_post_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'newzpaper' ),
                    'section_id' => 'newzpaper_single_post_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'newzpaper' ),
                    'section_id' => 'newzpaper_single_post_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[single_post_container_color]', array(
    'label'    => esc_html( 'Single Post Main Container Color', 'newzpaper' ),
    'section'  => 'newzpaper_single_post_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_related_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[single_post_related_container_color]', array(
    'label'    => esc_html( 'Single Post Related Container Color', 'newzpaper' ),
    'section'  => 'newzpaper_single_post_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_entry_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[single_post_entry_container_color]', array(
    'label'    => esc_html( 'Single Post Entry Container Color', 'newzpaper' ),
    'section'  => 'newzpaper_single_post_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_comment_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'newzpaper_theme_options[single_post_comment_container_color]', array(
    'label'    => esc_html( 'Single Post Comment Container Color', 'newzpaper' ),
    'section'  => 'newzpaper_single_post_section_style',
) ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_top_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_top_padding]', array(
    'label'             => esc_html__( 'Section Top Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_bottom_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_bottom_padding]', array(
    'label'             => esc_html__( 'Section Bottom Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_left_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_left_padding]', array(
    'label'             => esc_html__( 'Section Left Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_right_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_right_padding]', array(
    'label'             => esc_html__( 'Section Right Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_entry_container_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_entry_container_padding]', array(
    'label'             => esc_html__( 'Post Container Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_related_container_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_related_container_padding]', array(
    'label'             => esc_html__( 'Related Post Container Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'newzpaper_theme_options[single_post_comment_container_padding]', array(
    'sanitize_callback' => 'newzpaper_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'newzpaper_theme_options[single_post_comment_container_padding]', array(
    'label'             => esc_html__( 'Comment Container Padding', 'newzpaper' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'newzpaper' ),
    'section'           => 'newzpaper_single_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );