<?php
/**
* Post Carousel section
*
* This is the template for the content of author section
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/
if ( ! function_exists( 'newzpaper_add_author_section' ) ) :
/**
* Add author section
*
*@since Newzpaper 1.0.0
*/
function newzpaper_add_author_section() {
    $options = newzpaper_get_theme_options();
    // Check if author is enabled on frontpage
    $author_enable = apply_filters( 'newzpaper_section_status', true, 'author_section_enable' );

    if ( true !== $author_enable ) {
        return false;
    }

// Render author section now.
    newzpaper_render_author_section( );
}
endif;


if ( ! function_exists( 'newzpaper_render_author_section' ) ) :
/**
* Start author section
*
* @return string author content
* @since Newzpaper 1.0.0
*
*/
function newzpaper_render_author_section( $content_details = array() ) {
    $options = newzpaper_get_theme_options();
  ?>
  <div id="newzpaper_author_section">
      <div id="newzpaper_top_authors" class="relative home-section author">
        <div class="wrapper">
            <?php if ( is_customize_preview()):
                newzpaper_section_tooltip( 'author-class' );
            endif; ?>
            <?php if ( ! empty( $options['author_title'] ) ) : ?>
                <div class="section-header">
                    <h2 class="section-title"><?php echo esc_html( $options['author_title'] ); ?></h2>
                </div><!-- .section-header -->
            <?php endif; ?>
            <div class="section-content">
                <div class="col-2">
                    <?php for ($i=1; $i <= $options['author_count'] ; $i++) { ?>
                        <article class="magazine-match-height">
                            <div class="top-authors-wrapper">
                                <?php if ( !empty( $options['author_image_'.$i] ) ): ?>
                                    <div class="featured-image relative">
                                        <img src="<?php echo esc_url( $options['author_image_'.$i] ); ?>">
                                        <div class="overlay"></div>
                                    </div>
                                <?php endif ?>
                                <div class="entry-container">
                                    <?php if ( !empty( $options['author_name_'.$i] ) ): ?>
                                        <header class="entry-header">
                                            <h2 class="entry-title">
                                                <a href="<?php echo esc_url( $options['author_url_'.$i] ); ?>"><?php echo esc_html( $options['author_name_'.$i] ); ?></a>
                                            </h2>
                                        </header>
                                    <?php endif ?>  
                                    
                                    <div class="entry-meta">
                                        <?php if ( !empty( $options['author_position_'.$i] ) ): ?>
                                            <span class="job">
                                                <span class="entry-meta-text"><?php echo __( 'Job: ', 'newzpaper' ) ?></span>
                                                <?php echo esc_html( $options['author_position_'.$i] ); ?>
                                            </span>
                                        <?php endif ?>
                                        
                                        <?php if ( !empty( $options['author_location_'.$i] ) ): ?>
                                            <span class="city">
                                                <span class="entry-meta-text"><?php echo __( 'City: ', 'newzpaper' ) ?></span>
                                                <?php echo esc_html( $options['author_location_'.$i] ); ?>
                                            </span>
                                        <?php endif ?>
                                        
                                    </div>
                                    <div class="authors-arrow">
                                        <a href="<?php echo esc_url( $options['author_url_'.$i] ); ?>"></a>
                                    </div>
                                </div>
                            </div>
                        </article>
                    <?php } ?>
                    
                </div>
            </div>  
        </div>
    </div><!-- #newzpaper_top_authors -->
  </div>

<?php }
    endif;