<?php
/**
* Latest Post section
*
* This is the template for the content of main_content section
*
* @package Theme Palace
* @subpackage Newzpaper
* @since Newzpaper 1.0.0
*/
if ( ! function_exists( 'newzpaper_add_main_content_section' ) ) :
/**
* Add main_content section
*
*@since Newzpaper 1.0.0
*/
function newzpaper_add_main_content_section() {

  newzpaper_render_main_content_section();
}
endif;

if ( ! function_exists( 'newzpaper_render_main_content_section' ) ) :
/**
* Start main_content section
*
* @return string main_content content
* @since Newzpaper 1.0.0
*
*/
function newzpaper_render_main_content_section() {
  $options = newzpaper_get_theme_options();
  $home_sticky_class = $options['widget_enable_sticky_homepage'] == true ? 'sticky-sidebar' : '';
  ?>
  <div id="main-post-wrapper">
     <div id="inner-content-wrapper" class="wrapper">
      <?php if(is_active_sidebar('home-left-sidebar')): ?>
        <aside id="left-sidebar" class="widget-area <?php echo esc_attr( $home_sticky_class ) ?>" role="complementary">
          <?php dynamic_sidebar( 'home-left-sidebar' ); ?>
        </aside><!-- #secondary -->
      <?php endif; ?>
      <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
          <?php  
              require get_template_directory() . '/inc/sections/latest-post.php';
          ?>
        </main>
      </div><!-- #primary -->

      <?php if(is_active_sidebar('home-right-sidebar')): ?>
        <aside id="right-sidebar" class="widget-area <?php echo esc_attr( $home_sticky_class ) ?>" role="complementary">
          <?php dynamic_sidebar( 'home-right-sidebar' ); ?>
        </aside><!-- #secondary -->
      <?php endif; ?>
    </div><!-- #inner-content-wrapper -->
  </div>
 

  <?php }
  endif;