<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */
$options = newzpaper_get_theme_options();
$ids    = get_the_id();
?>
<article class="post-content">

	<?php if ( has_post_thumbnail() && !$options['single_post_hide_featured_image']  ) : ?>
		<div class="featured-image">
			<img src="<?php the_post_thumbnail_url($size = 'full'); ?>">
			
		</div>
	<?php endif; ?>

	<div class="entry-container">
		<div class="entry-meta">
            <?php 
			if ( ! $options['single_post_hide_author'] ) :
				echo newzpaper_author( get_the_author_meta('ID') );
			endif;
			?>
            <?php if ( ! $options['single_post_hide_date'] ) :
				newzpaper_posted_on();
			endif; ?>
            
            <span class="min-read"><span class="entry-meta-text"><?php echo esc_html__( 'Read: ', 'newzpaper' ); ?></span> <span><?php echo newzpaper_time_interval(get_the_content()); echo esc_html__(' min', 'newzpaper'); ?></span></span>
            <?php if ( !$options['single_post_hide_category'] ): ?>
	            <span class="cat-links">
	                <?php the_category( '', '', $ids ); ?>
	            </span>
	        <?php endif ?>	
        </div>
        <?php if ( !$options['single_post_hide_post_title']	): ?>
			<header class="entry-header">
				<h2 class="entry-title"><?php the_title(); ?></h2>
			</header>
		<?php endif ?>


		<div class="entry-content">
			<?php the_content(); ?>
		</div><!-- .entry-content -->

		<?php if ( !$options['single_post_hide_tags'] && ( get_the_tag_list() !== false )  ): ?>
			<div class="taglist">	
				<span><?php echo __( 'Tag: ', 'newzpaper' ) ?></span><?php newzpaper_entry_footer();  ?>
			</div>
		<?php endif ?>		
	</div>
</article>
