<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

$options = newzpaper_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
$ids    = get_the_id();
?>
<article <?php post_class( $class ); ?>>
    <div class="video-news-wrapper">
        <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'post-thumbnail' ); ?>');">
                <div class="overlay"></div>
                <?php if ( !empty( get_post_meta( $ids, '_newzpaper_youtube_video_code' )[0] ) ): ?>
                    <div class="video-button">
                        <a href="https://www.youtube.com/watch?v=<?php echo get_post_meta( $ids, '_newzpaper_youtube_video_code' )[0] ?>" class="popup-video" tabindex="-1"><i class="fa fa-play"></i></a>
                    </div>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        <div class="entry-container">
            <header class="entry-header">
                <h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
            </header>
            <div class="entry-content">
                <p><?php the_excerpt(); ?></p>
            </div><!-- .entry-content --> 

            <div class="entry-meta">
                <?php 
                    if ( ! $options['hide_author'] ) {
                        echo newzpaper_author( get_the_author_meta('ID') );
                    }
                ?>
                <?php  
                if ( ! $options['hide_date'] ) {
                    newzpaper_posted_on();
                }
                ?>
                <span class="min-read"><?php echo newzpaper_time_interval(get_the_content()); echo esc_html__(' min to read', 'newzpaper'); ?></span>
                <?php if (  ! $options['hide_category'] ): ?>
                <span class="cat-links">
                    <?php the_category( '', '', $ids ); ?>
                </span><!-- .cat-links -->
            <?php endif ?>
            </div><!-- .entry-meta -->
        </div><!-- .entry-container -->
    </div>    
</article>