<?php
/**
 * Header One design template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

$options = newzpaper_get_theme_options();
$header_txt_logo_extra = $options['header_txt_logo_extra']; 

?>

<header id="masthead" class="site-header header-one" role="banner">
    <div class="wrapper">   
        <div class="site-branding">
            <?php if ( in_array( $header_txt_logo_extra, array( 'show-all', 'logo-title', 'logo-tagline' ) )  ) { ?>
                <div class="site-logo">
                    <?php the_custom_logo(); ?>
                </div>
            <?php } 
            if ( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title', 'show-all', 'tagline-only', 'logo-tagline' ) ) ) : ?>
                <div id="site-details">
                    <?php
                    if( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title' ) )  ) {
                        if ( newzpaper_is_latest_posts() || newzpaper_is_frontpage() ) : ?>
                            <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                        <?php else : ?>
                            <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                        <?php
                        endif;
                    } 
                    if ( in_array( $header_txt_logo_extra, array( 'show-all', 'tagline-only', 'logo-tagline' ) ) ) {
                        $description = get_bloginfo( 'description', 'display' );
                        if ( $description || is_customize_preview() ) : ?>
                            <p class="site-description"><?php echo esc_html( $description ); /* WPCS: xss ok. */ ?></p>
                        <?php
                        endif; 
                    }?>
                </div>
            <?php endif; ?>
        </div><!-- .site-branding -->
        <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="Primary Menu">
            <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
                <?php
                echo newzpaper_get_svg( array( 'icon' => 'menu' ) );
                echo newzpaper_get_svg( array( 'icon' => 'close' ) );
                ?>      
            </button>
            <?php  
                $social = '';
                if ( $options['social_nav_enable'] ) :
                
                    $social .= '<li class="social-menu">';
                    $social .= wp_nav_menu( array(
                        'theme_location' => 'social',
                        'container' => 'div',
                        'container_class' => 'social-icons',
                        'menu_class' => '',
                        'echo' => false,
                        'fallback_cb' => 'newzpaper_menu_fallback_cb',
                        'depth' => 1,
                        'link_before' => '<span class="screen-reader-text">',
                        'link_after' => '</span>',
                    ) );
                    $social .= '</li>';

                endif;

                wp_nav_menu( array(
                    'theme_location' => 'primary',
                    'container' => 'div',
                    'menu_class' => 'menu nav-menu',
                    'menu_id' => 'primary-menu',
                    'echo' => true,
                    'fallback_cb' => 'newzpaper_menu_fallback_cb',
                    'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s' . $social . '</ul>',
                ) );
            ?>
        </nav><!-- .main-navigation-->
    </div>
</header><!-- #masthead -->
